curl -X POST "https://api.magpipe.ai/functions/v1/delete-memory" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"memory_id": "789e0123-e89b-12d3-a456-426614174000"
}'
{
"success": true
}
{
"error": {
"code": "not_found",
"message": "Memory not found"
}
}
Memory
Delete Memory
Delete a caller’s memory
POST
/
delete-memory
curl -X POST "https://api.magpipe.ai/functions/v1/delete-memory" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"memory_id": "789e0123-e89b-12d3-a456-426614174000"
}'
{
"success": true
}
{
"error": {
"code": "not_found",
"message": "Memory not found"
}
}
Permanently delete a caller’s memory. This removes all stored information about past conversations with this caller.
This action is irreversible. The agent will treat future calls from this contact as new conversations.
Request Body
string
required
UUID of the memory record to delete
Response
Returns a success confirmation.curl -X POST "https://api.magpipe.ai/functions/v1/delete-memory" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"memory_id": "789e0123-e89b-12d3-a456-426614174000"
}'
{
"success": true
}
{
"error": {
"code": "not_found",
"message": "Memory not found"
}
}